package mx.com.amx.mx.dda.crn.dto;

import java.io.Serializable;

/**
 * Representa en el ambito de DDA la respuesta obtenida por SAP al ejecutar el
 * envio de Activo Fijo (Titulos)
 */
public class RespSAPActivoFijoDTO implements Serializable {

    private static final long serialVersionUID = 1L;
    private String ID_SAP;
    private String ID_DDA;
    private String SUBNUMERO;
    private String Excepcion;

    public String getID_SAP() {
        return ID_SAP;
    }

    public void setID_SAP(String iD_SAP) {
        ID_SAP = iD_SAP;
    }

    public String getID_DDA() {
        return ID_DDA;
    }

    public void setID_DDA(String iD_DDA) {
        ID_DDA = iD_DDA;
    }

    public String getExcepcion() {
        return Excepcion;
    }

    public void setExcepcion(String excepcion) {
        Excepcion = excepcion;
    }

    public String getSUBNUMERO() {
        return SUBNUMERO;
    }

    public void setSUBNUMERO(String SUBNUMERO) {
        this.SUBNUMERO = SUBNUMERO;
    }

    public String toString() {
        StringBuilder result = new StringBuilder();
        String NEW_LINE = System.getProperty("line.separator");
        result.append(" [Begin of Class] " + NEW_LINE);
        result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
        result.append(" ID_SAP: _" + this.getID_SAP() + "_" + NEW_LINE);
        result.append(" ID_DDA: _" + this.getID_DDA() + "_" + NEW_LINE);
        result.append(" SUBNUMERO: _" + this.getSUBNUMERO() + "_" + NEW_LINE);
        result.append(" Excepcion: _" + this.getExcepcion() + "_" + NEW_LINE);
        result.append(" [End of Class] " + NEW_LINE);
        result.append("}");
        NEW_LINE = null;

        return result.toString();
    }
}
